=== debian/changelog ===
mlt (7.0.1-3~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Oct 2021 08:16:51 -0700

mlt (7.0.1-3) unstable; urgency=medium

  * Change order in debian/rules and use chrpath on temporary melt-7 binary.
    Closes: #993765

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 Sep 2021 15:15:10 +0200

mlt (7.0.1-2) unstable; urgency=medium

  * Merge 6.26.1-1 changelog.
  * Bump Standards-Version to 4.6.0.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 Sep 2021 09:16:05 +0200

mlt (7.0.1-1) experimental; urgency=medium

  * New upstream release.
    - Switch to CMake build system.
  * debian/watch: Adjust github URL.
  * Add opencv build dependency and build the package with explicit enabled
    opencv features. This is also required for motion tracker features.
    Closes: #989227

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Aug 2021 14:00:04 +0200
