## mlt 7.2.0

=== debian/changelog ===
mlt (7.2.0-1build1) jammy; urgency=medium

  * No-change rebuild against libopencv-video4.5d

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 15:21:01 +0000

mlt (7.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 02 Nov 2021 09:16:31 +0100
