## mlt 7.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.14)
 
 project(MLT
-  VERSION 7.0.1
+  VERSION 7.4.0
   DESCRIPTION "Multimedia Framework"
   HOMEPAGE_URL "https://www.mltframework.org"
   LANGUAGES C CXX
@@ -49,9 +49,12 @@
 
 if(WIN32)
   option(WINDOWS_DEPLOY "Install exes/libs directly to prefix (no subdir /bin)" ON)
-endif()
-if(APPLE)
-  option(RELOCATABLE "Use standard app bundle layout" ON)
+else()
+  if(APPLE)
+    option(RELOCATABLE "Use standard app bundle layout" ON)
+  else()
+    option(RELOCATABLE "Look for plugins relative to app" OFF)
+  endif()
 endif()
 
 
@@ -418,5 +421,3 @@
   list(APPEND DOXYGEN_ALIASES "event=\\xrefitem event \\\"Event\\\" \\\"Events Dictionary\\\"")
   list(APPEND DOXYGEN_ALIASES "envvar=\\xrefitem envvars \\\"Environment Variable\\\" \\\"Environment Variables\\\"")
   set(DOXYGEN_OPTIMIZE_OUTPUT_FOR_C "YES")
-  set(DOXYGEN_SORT_BRIEF_DOCS "YES")
-  set(DOXYGEN_EXTRACT_ALL "YES")
