=== src/modules/frei0r/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 target_compile_options(mltfrei0r PRIVATE ${MLT_COMPILE_OPTIONS})
 target_include_directories(mltfrei0r PRIVATE ${FREI0R_INCLUDE_DIRS})
-if(APPLE AND RELOCATABLE)
+if(RELOCATABLE)
   target_compile_definitions(mltfrei0r PRIVATE RELOCATABLE)
 endif()
