=== src/modules/sdl/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,12 @@
 
 target_link_libraries(mltsdl PRIVATE mlt m Threads::Threads PkgConfig::sdl)
 
+if(APPLE)
+  target_link_libraries(mltsdl PRIVATE objc "-framework Foundation")
+elseif(UNIX)
+  target_link_libraries(mltsdl PRIVATE X11)
+endif()
+
 set_target_properties(mltsdl PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")
 
 install(TARGETS mltsdl LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})
