=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
